Makefile.in 49 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181118211831184118511861187118811891190119111921193119411951196119711981199120012011202120312041205120612071208120912101211121212131214121512161217121812191220122112221223122412251226122712281229123012311232123312341235123612371238123912401241124212431244124512461247124812491250125112521253125412551256125712581259126012611262126312641265126612671268126912701271127212731274127512761277127812791280128112821283128412851286128712881289
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # Copyright (c) 2008, 2009 Thorsten Kukuk <kukuk@suse.de>
  14. # Copyright (c) 2013 Red Hat, Inc.
  15. #
  16. VPATH = @srcdir@
  17. am__is_gnu_make = { \
  18. if test -z '$(MAKELEVEL)'; then \
  19. false; \
  20. elif test -n '$(MAKE_HOST)'; then \
  21. true; \
  22. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  23. true; \
  24. else \
  25. false; \
  26. fi; \
  27. }
  28. am__make_running_with_option = \
  29. case $${target_option-} in \
  30. ?) ;; \
  31. *) echo "am__make_running_with_option: internal error: invalid" \
  32. "target option '$${target_option-}' specified" >&2; \
  33. exit 1;; \
  34. esac; \
  35. has_opt=no; \
  36. sane_makeflags=$$MAKEFLAGS; \
  37. if $(am__is_gnu_make); then \
  38. sane_makeflags=$$MFLAGS; \
  39. else \
  40. case $$MAKEFLAGS in \
  41. *\\[\ \ ]*) \
  42. bs=\\; \
  43. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  44. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  45. esac; \
  46. fi; \
  47. skip_next=no; \
  48. strip_trailopt () \
  49. { \
  50. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  51. }; \
  52. for flg in $$sane_makeflags; do \
  53. test $$skip_next = yes && { skip_next=no; continue; }; \
  54. case $$flg in \
  55. *=*|--*) continue;; \
  56. -*I) strip_trailopt 'I'; skip_next=yes;; \
  57. -*I?*) strip_trailopt 'I';; \
  58. -*O) strip_trailopt 'O'; skip_next=yes;; \
  59. -*O?*) strip_trailopt 'O';; \
  60. -*l) strip_trailopt 'l'; skip_next=yes;; \
  61. -*l?*) strip_trailopt 'l';; \
  62. -[dEDm]) skip_next=yes;; \
  63. -[JT]) skip_next=yes;; \
  64. esac; \
  65. case $$flg in \
  66. *$$target_option*) has_opt=yes; break;; \
  67. esac; \
  68. done; \
  69. test $$has_opt = yes
  70. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  71. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  72. pkgdatadir = $(datadir)/@PACKAGE@
  73. pkgincludedir = $(includedir)/@PACKAGE@
  74. pkglibdir = $(libdir)/@PACKAGE@
  75. pkglibexecdir = $(libexecdir)/@PACKAGE@
  76. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  77. install_sh_DATA = $(install_sh) -c -m 644
  78. install_sh_PROGRAM = $(install_sh) -c
  79. install_sh_SCRIPT = $(install_sh) -c
  80. INSTALL_HEADER = $(INSTALL_DATA)
  81. transform = $(program_transform_name)
  82. NORMAL_INSTALL = :
  83. PRE_INSTALL = :
  84. POST_INSTALL = :
  85. NORMAL_UNINSTALL = :
  86. PRE_UNINSTALL = :
  87. POST_UNINSTALL = :
  88. build_triplet = @build@
  89. host_triplet = @host@
  90. @HAVE_VERSIONING_TRUE@am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  91. sbin_PROGRAMS = pwhistory_helper$(EXEEXT)
  92. subdir = modules/pam_pwhistory
  93. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  94. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  95. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  96. $(top_srcdir)/m4/intlmacosx.m4 \
  97. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  98. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  99. $(top_srcdir)/m4/ld-no-undefined.m4 \
  100. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  101. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  102. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  103. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  104. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  105. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  106. $(top_srcdir)/m4/progtest.m4 \
  107. $(top_srcdir)/m4/warn_lang_flags.m4 \
  108. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  109. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  110. $(ACLOCAL_M4)
  111. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  112. $(am__dist_noinst_DATA_DIST) $(noinst_HEADERS) \
  113. $(am__DIST_COMMON)
  114. mkinstalldirs = $(install_sh) -d
  115. CONFIG_HEADER = $(top_builddir)/config.h
  116. CONFIG_CLEAN_FILES =
  117. CONFIG_CLEAN_VPATH_FILES =
  118. am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(securelibdir)" \
  119. "$(DESTDIR)$(man8dir)"
  120. PROGRAMS = $(sbin_PROGRAMS)
  121. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  122. am__vpath_adj = case $$p in \
  123. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  124. *) f=$$p;; \
  125. esac;
  126. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  127. am__install_max = 40
  128. am__nobase_strip_setup = \
  129. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  130. am__nobase_strip = \
  131. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  132. am__nobase_list = $(am__nobase_strip_setup); \
  133. for p in $$list; do echo "$$p $$p"; done | \
  134. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  135. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  136. if (++n[$$2] == $(am__install_max)) \
  137. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  138. END { for (dir in files) print dir, files[dir] }'
  139. am__base_list = \
  140. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  141. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  142. am__uninstall_files_from_dir = { \
  143. test -z "$$files" \
  144. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  145. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  146. $(am__cd) "$$dir" && rm -f $$files; }; \
  147. }
  148. LTLIBRARIES = $(securelib_LTLIBRARIES)
  149. pam_pwhistory_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  150. am_pam_pwhistory_la_OBJECTS = pam_pwhistory_la-pam_pwhistory.lo \
  151. pam_pwhistory_la-opasswd.lo
  152. pam_pwhistory_la_OBJECTS = $(am_pam_pwhistory_la_OBJECTS)
  153. AM_V_lt = $(am__v_lt_@AM_V@)
  154. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  155. am__v_lt_0 = --silent
  156. am__v_lt_1 =
  157. pam_pwhistory_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  158. $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  159. $(pam_pwhistory_la_CFLAGS) $(CFLAGS) \
  160. $(pam_pwhistory_la_LDFLAGS) $(LDFLAGS) -o $@
  161. am_pwhistory_helper_OBJECTS = \
  162. pwhistory_helper-pwhistory_helper.$(OBJEXT) \
  163. pwhistory_helper-opasswd.$(OBJEXT)
  164. pwhistory_helper_OBJECTS = $(am_pwhistory_helper_OBJECTS)
  165. pwhistory_helper_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  166. pwhistory_helper_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  167. $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  168. $(pwhistory_helper_CFLAGS) $(CFLAGS) \
  169. $(pwhistory_helper_LDFLAGS) $(LDFLAGS) -o $@
  170. AM_V_P = $(am__v_P_@AM_V@)
  171. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  172. am__v_P_0 = false
  173. am__v_P_1 = :
  174. AM_V_GEN = $(am__v_GEN_@AM_V@)
  175. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  176. am__v_GEN_0 = @echo " GEN " $@;
  177. am__v_GEN_1 =
  178. AM_V_at = $(am__v_at_@AM_V@)
  179. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  180. am__v_at_0 = @
  181. am__v_at_1 =
  182. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  183. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  184. am__maybe_remake_depfiles = depfiles
  185. am__depfiles_remade = ./$(DEPDIR)/pam_pwhistory_la-opasswd.Plo \
  186. ./$(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Plo \
  187. ./$(DEPDIR)/pwhistory_helper-opasswd.Po \
  188. ./$(DEPDIR)/pwhistory_helper-pwhistory_helper.Po
  189. am__mv = mv -f
  190. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  191. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  192. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  193. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  194. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  195. $(AM_CFLAGS) $(CFLAGS)
  196. AM_V_CC = $(am__v_CC_@AM_V@)
  197. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  198. am__v_CC_0 = @echo " CC " $@;
  199. am__v_CC_1 =
  200. CCLD = $(CC)
  201. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  202. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  203. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  204. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  205. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  206. am__v_CCLD_0 = @echo " CCLD " $@;
  207. am__v_CCLD_1 =
  208. SOURCES = $(pam_pwhistory_la_SOURCES) $(pwhistory_helper_SOURCES)
  209. DIST_SOURCES = $(pam_pwhistory_la_SOURCES) $(pwhistory_helper_SOURCES)
  210. am__can_run_installinfo = \
  211. case $$AM_UPDATE_INFO_DIR in \
  212. n|no|NO) false;; \
  213. *) (install-info --version) >/dev/null 2>&1;; \
  214. esac
  215. man8dir = $(mandir)/man8
  216. NROFF = nroff
  217. MANS = $(dist_man_MANS)
  218. am__dist_noinst_DATA_DIST = README
  219. DATA = $(dist_noinst_DATA)
  220. HEADERS = $(noinst_HEADERS)
  221. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  222. # Read a list of newline-separated strings from the standard input,
  223. # and print each of them once, without duplicates. Input order is
  224. # *not* preserved.
  225. am__uniquify_input = $(AWK) '\
  226. BEGIN { nonempty = 0; } \
  227. { items[$$0] = 1; nonempty = 1; } \
  228. END { if (nonempty) { for (i in items) print i; }; } \
  229. '
  230. # Make sure the list of sources is unique. This is necessary because,
  231. # e.g., the same source file might be shared among _SOURCES variables
  232. # for different programs/libraries.
  233. am__define_uniq_tagged_files = \
  234. list='$(am__tagged_files)'; \
  235. unique=`for i in $$list; do \
  236. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  237. done | $(am__uniquify_input)`
  238. ETAGS = etags
  239. CTAGS = ctags
  240. am__tty_colors_dummy = \
  241. mgn= red= grn= lgn= blu= brg= std=; \
  242. am__color_tests=no
  243. am__tty_colors = { \
  244. $(am__tty_colors_dummy); \
  245. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  246. am__color_tests=no; \
  247. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  248. am__color_tests=yes; \
  249. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  250. am__color_tests=yes; \
  251. fi; \
  252. if test $$am__color_tests = yes; then \
  253. red=''; \
  254. grn=''; \
  255. lgn=''; \
  256. blu=''; \
  257. mgn=''; \
  258. brg=''; \
  259. std=''; \
  260. fi; \
  261. }
  262. am__recheck_rx = ^[ ]*:recheck:[ ]*
  263. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  264. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  265. # A command that, given a newline-separated list of test names on the
  266. # standard input, print the name of the tests that are to be re-run
  267. # upon "make recheck".
  268. am__list_recheck_tests = $(AWK) '{ \
  269. recheck = 1; \
  270. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  271. { \
  272. if (rc < 0) \
  273. { \
  274. if ((getline line2 < ($$0 ".log")) < 0) \
  275. recheck = 0; \
  276. break; \
  277. } \
  278. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  279. { \
  280. recheck = 0; \
  281. break; \
  282. } \
  283. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  284. { \
  285. break; \
  286. } \
  287. }; \
  288. if (recheck) \
  289. print $$0; \
  290. close ($$0 ".trs"); \
  291. close ($$0 ".log"); \
  292. }'
  293. # A command that, given a newline-separated list of test names on the
  294. # standard input, create the global log from their .trs and .log files.
  295. am__create_global_log = $(AWK) ' \
  296. function fatal(msg) \
  297. { \
  298. print "fatal: making $@: " msg | "cat >&2"; \
  299. exit 1; \
  300. } \
  301. function rst_section(header) \
  302. { \
  303. print header; \
  304. len = length(header); \
  305. for (i = 1; i <= len; i = i + 1) \
  306. printf "="; \
  307. printf "\n\n"; \
  308. } \
  309. { \
  310. copy_in_global_log = 1; \
  311. global_test_result = "RUN"; \
  312. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  313. { \
  314. if (rc < 0) \
  315. fatal("failed to read from " $$0 ".trs"); \
  316. if (line ~ /$(am__global_test_result_rx)/) \
  317. { \
  318. sub("$(am__global_test_result_rx)", "", line); \
  319. sub("[ ]*$$", "", line); \
  320. global_test_result = line; \
  321. } \
  322. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  323. copy_in_global_log = 0; \
  324. }; \
  325. if (copy_in_global_log) \
  326. { \
  327. rst_section(global_test_result ": " $$0); \
  328. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  329. { \
  330. if (rc < 0) \
  331. fatal("failed to read from " $$0 ".log"); \
  332. print line; \
  333. }; \
  334. printf "\n"; \
  335. }; \
  336. close ($$0 ".trs"); \
  337. close ($$0 ".log"); \
  338. }'
  339. # Restructured Text title.
  340. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  341. # Solaris 10 'make', and several other traditional 'make' implementations,
  342. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  343. # by disabling -e (using the XSI extension "set +e") if it's set.
  344. am__sh_e_setup = case $$- in *e*) set +e;; esac
  345. # Default flags passed to test drivers.
  346. am__common_driver_flags = \
  347. --color-tests "$$am__color_tests" \
  348. --enable-hard-errors "$$am__enable_hard_errors" \
  349. --expect-failure "$$am__expect_failure"
  350. # To be inserted before the command running the test. Creates the
  351. # directory for the log if needed. Stores in $dir the directory
  352. # containing $f, in $tst the test, in $log the log. Executes the
  353. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  354. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  355. # will run the test scripts (or their associated LOG_COMPILER, if
  356. # thy have one).
  357. am__check_pre = \
  358. $(am__sh_e_setup); \
  359. $(am__vpath_adj_setup) $(am__vpath_adj) \
  360. $(am__tty_colors); \
  361. srcdir=$(srcdir); export srcdir; \
  362. case "$@" in \
  363. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  364. *) am__odir=.;; \
  365. esac; \
  366. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  367. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  368. if test -f "./$$f"; then dir=./; \
  369. elif test -f "$$f"; then dir=; \
  370. else dir="$(srcdir)/"; fi; \
  371. tst=$$dir$$f; log='$@'; \
  372. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  373. am__enable_hard_errors=no; \
  374. else \
  375. am__enable_hard_errors=yes; \
  376. fi; \
  377. case " $(XFAIL_TESTS) " in \
  378. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  379. am__expect_failure=yes;; \
  380. *) \
  381. am__expect_failure=no;; \
  382. esac; \
  383. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  384. # A shell command to get the names of the tests scripts with any registered
  385. # extension removed (i.e., equivalently, the names of the test logs, with
  386. # the '.log' extension removed). The result is saved in the shell variable
  387. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  388. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  389. # since that might cause problem with VPATH rewrites for suffix-less tests.
  390. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  391. am__set_TESTS_bases = \
  392. bases='$(TEST_LOGS)'; \
  393. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  394. bases=`echo $$bases`
  395. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  396. RECHECK_LOGS = $(TEST_LOGS)
  397. AM_RECURSIVE_TARGETS = check recheck
  398. TEST_SUITE_LOG = test-suite.log
  399. TEST_EXTENSIONS = @EXEEXT@ .test
  400. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  401. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  402. am__set_b = \
  403. case '$@' in \
  404. */*) \
  405. case '$*' in \
  406. */*) b='$*';; \
  407. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  408. esac;; \
  409. *) \
  410. b='$*';; \
  411. esac
  412. am__test_logs1 = $(TESTS:=.log)
  413. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  414. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  415. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  416. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  417. $(TEST_LOG_FLAGS)
  418. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  419. $(top_srcdir)/build-aux/depcomp \
  420. $(top_srcdir)/build-aux/test-driver
  421. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  422. ACLOCAL = @ACLOCAL@
  423. AMTAR = @AMTAR@
  424. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  425. AR = @AR@
  426. AUTOCONF = @AUTOCONF@
  427. AUTOHEADER = @AUTOHEADER@
  428. AUTOMAKE = @AUTOMAKE@
  429. AWK = @AWK@
  430. BROWSER = @BROWSER@
  431. BUILD_CFLAGS = @BUILD_CFLAGS@
  432. BUILD_CPPFLAGS = @BUILD_CPPFLAGS@
  433. BUILD_LDFLAGS = @BUILD_LDFLAGS@
  434. CC = @CC@
  435. CCDEPMODE = @CCDEPMODE@
  436. CC_FOR_BUILD = @CC_FOR_BUILD@
  437. CFLAGS = @CFLAGS@
  438. CPP = @CPP@
  439. CPPFLAGS = @CPPFLAGS@
  440. CRYPTO_LIBS = @CRYPTO_LIBS@
  441. CRYPT_CFLAGS = @CRYPT_CFLAGS@
  442. CRYPT_LIBS = @CRYPT_LIBS@
  443. CYGPATH_W = @CYGPATH_W@
  444. DEFS = @DEFS@
  445. DEPDIR = @DEPDIR@
  446. DLLTOOL = @DLLTOOL@
  447. DSYMUTIL = @DSYMUTIL@
  448. DUMPBIN = @DUMPBIN@
  449. ECHO_C = @ECHO_C@
  450. ECHO_N = @ECHO_N@
  451. ECHO_T = @ECHO_T@
  452. ECONF_CFLAGS = @ECONF_CFLAGS@
  453. ECONF_LIBS = @ECONF_LIBS@
  454. EGREP = @EGREP@
  455. EXEEXT = @EXEEXT@
  456. EXE_CFLAGS = @EXE_CFLAGS@
  457. EXE_LDFLAGS = @EXE_LDFLAGS@
  458. FGREP = @FGREP@
  459. FO2PDF = @FO2PDF@
  460. GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  461. GMSGFMT = @GMSGFMT@
  462. GMSGFMT_015 = @GMSGFMT_015@
  463. GREP = @GREP@
  464. INSTALL = @INSTALL@
  465. INSTALL_DATA = @INSTALL_DATA@
  466. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  467. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  468. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  469. INTLLIBS = @INTLLIBS@
  470. INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  471. LD = @LD@
  472. LDFLAGS = @LDFLAGS@
  473. LEX = @LEX@
  474. LEXLIB = @LEXLIB@
  475. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  476. LIBAUDIT = @LIBAUDIT@
  477. LIBCRYPT = @LIBCRYPT@
  478. LIBDB = @LIBDB@
  479. LIBDL = @LIBDL@
  480. LIBICONV = @LIBICONV@
  481. LIBINTL = @LIBINTL@
  482. LIBOBJS = @LIBOBJS@
  483. LIBPRELUDE_CFLAGS = @LIBPRELUDE_CFLAGS@
  484. LIBPRELUDE_CONFIG = @LIBPRELUDE_CONFIG@
  485. LIBPRELUDE_CONFIG_PREFIX = @LIBPRELUDE_CONFIG_PREFIX@
  486. LIBPRELUDE_LDFLAGS = @LIBPRELUDE_LDFLAGS@
  487. LIBPRELUDE_LIBS = @LIBPRELUDE_LIBS@
  488. LIBPRELUDE_PREFIX = @LIBPRELUDE_PREFIX@
  489. LIBPRELUDE_PTHREAD_CFLAGS = @LIBPRELUDE_PTHREAD_CFLAGS@
  490. LIBS = @LIBS@
  491. LIBSELINUX = @LIBSELINUX@
  492. LIBTOOL = @LIBTOOL@
  493. LIPO = @LIPO@
  494. LN_S = @LN_S@
  495. LTLIBICONV = @LTLIBICONV@
  496. LTLIBINTL = @LTLIBINTL@
  497. LTLIBOBJS = @LTLIBOBJS@
  498. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  499. MAKEINFO = @MAKEINFO@
  500. MANIFEST_TOOL = @MANIFEST_TOOL@
  501. MKDIR_P = @MKDIR_P@
  502. MSGFMT = @MSGFMT@
  503. MSGFMT_015 = @MSGFMT_015@
  504. MSGMERGE = @MSGMERGE@
  505. NIS_CFLAGS = @NIS_CFLAGS@
  506. NIS_LIBS = @NIS_LIBS@
  507. NM = @NM@
  508. NMEDIT = @NMEDIT@
  509. NSL_CFLAGS = @NSL_CFLAGS@
  510. NSL_LIBS = @NSL_LIBS@
  511. OBJDUMP = @OBJDUMP@
  512. OBJEXT = @OBJEXT@
  513. OTOOL = @OTOOL@
  514. OTOOL64 = @OTOOL64@
  515. PACKAGE = @PACKAGE@
  516. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  517. PACKAGE_NAME = @PACKAGE_NAME@
  518. PACKAGE_STRING = @PACKAGE_STRING@
  519. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  520. PACKAGE_URL = @PACKAGE_URL@
  521. PACKAGE_VERSION = @PACKAGE_VERSION@
  522. PATH_SEPARATOR = @PATH_SEPARATOR@
  523. PKG_CONFIG = @PKG_CONFIG@
  524. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  525. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  526. POSUB = @POSUB@
  527. RANLIB = @RANLIB@
  528. SCONFIGDIR = @SCONFIGDIR@
  529. SECUREDIR = @SECUREDIR@
  530. SED = @SED@
  531. SET_MAKE = @SET_MAKE@
  532. SHELL = @SHELL@
  533. STRINGPARAM_HMAC = @STRINGPARAM_HMAC@
  534. STRINGPARAM_VENDORDIR = @STRINGPARAM_VENDORDIR@
  535. STRIP = @STRIP@
  536. TIRPC_CFLAGS = @TIRPC_CFLAGS@
  537. TIRPC_LIBS = @TIRPC_LIBS@
  538. USE_NLS = @USE_NLS@
  539. VERSION = @VERSION@
  540. WARN_CFLAGS = @WARN_CFLAGS@
  541. XGETTEXT = @XGETTEXT@
  542. XGETTEXT_015 = @XGETTEXT_015@
  543. XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  544. XMLCATALOG = @XMLCATALOG@
  545. XMLLINT = @XMLLINT@
  546. XML_CATALOG_FILE = @XML_CATALOG_FILE@
  547. XSLTPROC = @XSLTPROC@
  548. YACC = @YACC@
  549. YFLAGS = @YFLAGS@
  550. abs_builddir = @abs_builddir@
  551. abs_srcdir = @abs_srcdir@
  552. abs_top_builddir = @abs_top_builddir@
  553. abs_top_srcdir = @abs_top_srcdir@
  554. ac_ct_AR = @ac_ct_AR@
  555. ac_ct_CC = @ac_ct_CC@
  556. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  557. am__include = @am__include@
  558. am__leading_dot = @am__leading_dot@
  559. am__quote = @am__quote@
  560. am__tar = @am__tar@
  561. am__untar = @am__untar@
  562. bindir = @bindir@
  563. build = @build@
  564. build_alias = @build_alias@
  565. build_cpu = @build_cpu@
  566. build_os = @build_os@
  567. build_vendor = @build_vendor@
  568. builddir = @builddir@
  569. datadir = @datadir@
  570. datarootdir = @datarootdir@
  571. docdir = @docdir@
  572. dvidir = @dvidir@
  573. exec_prefix = @exec_prefix@
  574. host = @host@
  575. host_alias = @host_alias@
  576. host_cpu = @host_cpu@
  577. host_os = @host_os@
  578. host_vendor = @host_vendor@
  579. htmldir = @htmldir@
  580. includedir = @includedir@
  581. infodir = @infodir@
  582. install_sh = @install_sh@
  583. libdir = @libdir@
  584. libexecdir = @libexecdir@
  585. localedir = @localedir@
  586. localstatedir = @localstatedir@
  587. mandir = @mandir@
  588. mkdir_p = @mkdir_p@
  589. oldincludedir = @oldincludedir@
  590. pam_xauth_path = @pam_xauth_path@
  591. pdfdir = @pdfdir@
  592. prefix = @prefix@
  593. program_transform_name = @program_transform_name@
  594. psdir = @psdir@
  595. sbindir = @sbindir@
  596. sharedstatedir = @sharedstatedir@
  597. srcdir = @srcdir@
  598. sysconfdir = @sysconfdir@
  599. systemdunitdir = @systemdunitdir@
  600. target_alias = @target_alias@
  601. top_build_prefix = @top_build_prefix@
  602. top_builddir = @top_builddir@
  603. top_srcdir = @top_srcdir@
  604. CLEANFILES = *~
  605. MAINTAINERCLEANFILES = $(MANS) README
  606. EXTRA_DIST = $(XMLS)
  607. @HAVE_DOC_TRUE@dist_man_MANS = pam_pwhistory.8 pwhistory_helper.8
  608. XMLS = README.xml pam_pwhistory.8.xml pwhistory_helper.8.xml
  609. dist_check_SCRIPTS = tst-pam_pwhistory
  610. TESTS = $(dist_check_SCRIPTS)
  611. securelibdir = $(SECUREDIR)
  612. secureconfdir = $(SCONFIGDIR)
  613. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  614. $(WARN_CFLAGS) -DPWHISTORY_HELPER=\"$(sbindir)/pwhistory_helper\"
  615. pam_pwhistory_la_LDFLAGS = -no-undefined -avoid-version -module \
  616. $(am__append_1)
  617. noinst_HEADERS = opasswd.h
  618. securelib_LTLIBRARIES = pam_pwhistory.la
  619. pam_pwhistory_la_CFLAGS = $(AM_CFLAGS)
  620. pam_pwhistory_la_LIBADD = $(top_builddir)/libpam/libpam.la @LIBCRYPT@ @LIBSELINUX@
  621. pam_pwhistory_la_SOURCES = pam_pwhistory.c opasswd.c
  622. pwhistory_helper_CFLAGS = $(AM_CFLAGS) -DHELPER_COMPILE=\"pwhistory_helper\" @EXE_CFLAGS@
  623. pwhistory_helper_SOURCES = pwhistory_helper.c opasswd.c
  624. pwhistory_helper_LDFLAGS = @EXE_LDFLAGS@
  625. pwhistory_helper_LDADD = $(top_builddir)/libpam/libpam.la @LIBCRYPT@
  626. @ENABLE_REGENERATE_MAN_TRUE@dist_noinst_DATA = README
  627. all: all-am
  628. .SUFFIXES:
  629. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  630. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  631. @for dep in $?; do \
  632. case '$(am__configure_deps)' in \
  633. *$$dep*) \
  634. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  635. && { if test -f $@; then exit 0; else break; fi; }; \
  636. exit 1;; \
  637. esac; \
  638. done; \
  639. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_pwhistory/Makefile'; \
  640. $(am__cd) $(top_srcdir) && \
  641. $(AUTOMAKE) --gnu modules/pam_pwhistory/Makefile
  642. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  643. @case '$?' in \
  644. *config.status*) \
  645. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  646. *) \
  647. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  648. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  649. esac;
  650. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  651. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  652. $(top_srcdir)/configure: $(am__configure_deps)
  653. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  654. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  655. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  656. $(am__aclocal_m4_deps):
  657. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  658. @$(NORMAL_INSTALL)
  659. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  660. if test -n "$$list"; then \
  661. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  662. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  663. fi; \
  664. for p in $$list; do echo "$$p $$p"; done | \
  665. sed 's/$(EXEEXT)$$//' | \
  666. while read p p1; do if test -f $$p \
  667. || test -f $$p1 \
  668. ; then echo "$$p"; echo "$$p"; else :; fi; \
  669. done | \
  670. sed -e 'p;s,.*/,,;n;h' \
  671. -e 's|.*|.|' \
  672. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  673. sed 'N;N;N;s,\n, ,g' | \
  674. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  675. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  676. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  677. else { print "f", $$3 "/" $$4, $$1; } } \
  678. END { for (d in files) print "f", d, files[d] }' | \
  679. while read type dir files; do \
  680. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  681. test -z "$$files" || { \
  682. echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  683. $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  684. } \
  685. ; done
  686. uninstall-sbinPROGRAMS:
  687. @$(NORMAL_UNINSTALL)
  688. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  689. files=`for p in $$list; do echo "$$p"; done | \
  690. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  691. -e 's/$$/$(EXEEXT)/' \
  692. `; \
  693. test -n "$$list" || exit 0; \
  694. echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  695. cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  696. clean-sbinPROGRAMS:
  697. @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
  698. echo " rm -f" $$list; \
  699. rm -f $$list || exit $$?; \
  700. test -n "$(EXEEXT)" || exit 0; \
  701. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  702. echo " rm -f" $$list; \
  703. rm -f $$list
  704. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  705. @$(NORMAL_INSTALL)
  706. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  707. list2=; for p in $$list; do \
  708. if test -f $$p; then \
  709. list2="$$list2 $$p"; \
  710. else :; fi; \
  711. done; \
  712. test -z "$$list2" || { \
  713. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  714. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  715. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  716. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  717. }
  718. uninstall-securelibLTLIBRARIES:
  719. @$(NORMAL_UNINSTALL)
  720. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  721. for p in $$list; do \
  722. $(am__strip_dir) \
  723. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  724. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  725. done
  726. clean-securelibLTLIBRARIES:
  727. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  728. @list='$(securelib_LTLIBRARIES)'; \
  729. locs=`for p in $$list; do echo $$p; done | \
  730. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  731. sort -u`; \
  732. test -z "$$locs" || { \
  733. echo rm -f $${locs}; \
  734. rm -f $${locs}; \
  735. }
  736. pam_pwhistory.la: $(pam_pwhistory_la_OBJECTS) $(pam_pwhistory_la_DEPENDENCIES) $(EXTRA_pam_pwhistory_la_DEPENDENCIES)
  737. $(AM_V_CCLD)$(pam_pwhistory_la_LINK) -rpath $(securelibdir) $(pam_pwhistory_la_OBJECTS) $(pam_pwhistory_la_LIBADD) $(LIBS)
  738. pwhistory_helper$(EXEEXT): $(pwhistory_helper_OBJECTS) $(pwhistory_helper_DEPENDENCIES) $(EXTRA_pwhistory_helper_DEPENDENCIES)
  739. @rm -f pwhistory_helper$(EXEEXT)
  740. $(AM_V_CCLD)$(pwhistory_helper_LINK) $(pwhistory_helper_OBJECTS) $(pwhistory_helper_LDADD) $(LIBS)
  741. mostlyclean-compile:
  742. -rm -f *.$(OBJEXT)
  743. distclean-compile:
  744. -rm -f *.tab.c
  745. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_pwhistory_la-opasswd.Plo@am__quote@ # am--include-marker
  746. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Plo@am__quote@ # am--include-marker
  747. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pwhistory_helper-opasswd.Po@am__quote@ # am--include-marker
  748. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pwhistory_helper-pwhistory_helper.Po@am__quote@ # am--include-marker
  749. $(am__depfiles_remade):
  750. @$(MKDIR_P) $(@D)
  751. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  752. am--depfiles: $(am__depfiles_remade)
  753. .c.o:
  754. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  755. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  756. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  757. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  758. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  759. .c.obj:
  760. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  761. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  762. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  763. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  764. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  765. .c.lo:
  766. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  767. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  768. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  769. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  770. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  771. pam_pwhistory_la-pam_pwhistory.lo: pam_pwhistory.c
  772. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_pwhistory_la_CFLAGS) $(CFLAGS) -MT pam_pwhistory_la-pam_pwhistory.lo -MD -MP -MF $(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Tpo -c -o pam_pwhistory_la-pam_pwhistory.lo `test -f 'pam_pwhistory.c' || echo '$(srcdir)/'`pam_pwhistory.c
  773. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Tpo $(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Plo
  774. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='pam_pwhistory.c' object='pam_pwhistory_la-pam_pwhistory.lo' libtool=yes @AMDEPBACKSLASH@
  775. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  776. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_pwhistory_la_CFLAGS) $(CFLAGS) -c -o pam_pwhistory_la-pam_pwhistory.lo `test -f 'pam_pwhistory.c' || echo '$(srcdir)/'`pam_pwhistory.c
  777. pam_pwhistory_la-opasswd.lo: opasswd.c
  778. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_pwhistory_la_CFLAGS) $(CFLAGS) -MT pam_pwhistory_la-opasswd.lo -MD -MP -MF $(DEPDIR)/pam_pwhistory_la-opasswd.Tpo -c -o pam_pwhistory_la-opasswd.lo `test -f 'opasswd.c' || echo '$(srcdir)/'`opasswd.c
  779. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/pam_pwhistory_la-opasswd.Tpo $(DEPDIR)/pam_pwhistory_la-opasswd.Plo
  780. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='opasswd.c' object='pam_pwhistory_la-opasswd.lo' libtool=yes @AMDEPBACKSLASH@
  781. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  782. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_pwhistory_la_CFLAGS) $(CFLAGS) -c -o pam_pwhistory_la-opasswd.lo `test -f 'opasswd.c' || echo '$(srcdir)/'`opasswd.c
  783. pwhistory_helper-pwhistory_helper.o: pwhistory_helper.c
  784. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -MT pwhistory_helper-pwhistory_helper.o -MD -MP -MF $(DEPDIR)/pwhistory_helper-pwhistory_helper.Tpo -c -o pwhistory_helper-pwhistory_helper.o `test -f 'pwhistory_helper.c' || echo '$(srcdir)/'`pwhistory_helper.c
  785. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/pwhistory_helper-pwhistory_helper.Tpo $(DEPDIR)/pwhistory_helper-pwhistory_helper.Po
  786. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='pwhistory_helper.c' object='pwhistory_helper-pwhistory_helper.o' libtool=no @AMDEPBACKSLASH@
  787. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  788. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -c -o pwhistory_helper-pwhistory_helper.o `test -f 'pwhistory_helper.c' || echo '$(srcdir)/'`pwhistory_helper.c
  789. pwhistory_helper-pwhistory_helper.obj: pwhistory_helper.c
  790. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -MT pwhistory_helper-pwhistory_helper.obj -MD -MP -MF $(DEPDIR)/pwhistory_helper-pwhistory_helper.Tpo -c -o pwhistory_helper-pwhistory_helper.obj `if test -f 'pwhistory_helper.c'; then $(CYGPATH_W) 'pwhistory_helper.c'; else $(CYGPATH_W) '$(srcdir)/pwhistory_helper.c'; fi`
  791. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/pwhistory_helper-pwhistory_helper.Tpo $(DEPDIR)/pwhistory_helper-pwhistory_helper.Po
  792. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='pwhistory_helper.c' object='pwhistory_helper-pwhistory_helper.obj' libtool=no @AMDEPBACKSLASH@
  793. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  794. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -c -o pwhistory_helper-pwhistory_helper.obj `if test -f 'pwhistory_helper.c'; then $(CYGPATH_W) 'pwhistory_helper.c'; else $(CYGPATH_W) '$(srcdir)/pwhistory_helper.c'; fi`
  795. pwhistory_helper-opasswd.o: opasswd.c
  796. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -MT pwhistory_helper-opasswd.o -MD -MP -MF $(DEPDIR)/pwhistory_helper-opasswd.Tpo -c -o pwhistory_helper-opasswd.o `test -f 'opasswd.c' || echo '$(srcdir)/'`opasswd.c
  797. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/pwhistory_helper-opasswd.Tpo $(DEPDIR)/pwhistory_helper-opasswd.Po
  798. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='opasswd.c' object='pwhistory_helper-opasswd.o' libtool=no @AMDEPBACKSLASH@
  799. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  800. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -c -o pwhistory_helper-opasswd.o `test -f 'opasswd.c' || echo '$(srcdir)/'`opasswd.c
  801. pwhistory_helper-opasswd.obj: opasswd.c
  802. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -MT pwhistory_helper-opasswd.obj -MD -MP -MF $(DEPDIR)/pwhistory_helper-opasswd.Tpo -c -o pwhistory_helper-opasswd.obj `if test -f 'opasswd.c'; then $(CYGPATH_W) 'opasswd.c'; else $(CYGPATH_W) '$(srcdir)/opasswd.c'; fi`
  803. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/pwhistory_helper-opasswd.Tpo $(DEPDIR)/pwhistory_helper-opasswd.Po
  804. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='opasswd.c' object='pwhistory_helper-opasswd.obj' libtool=no @AMDEPBACKSLASH@
  805. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  806. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pwhistory_helper_CFLAGS) $(CFLAGS) -c -o pwhistory_helper-opasswd.obj `if test -f 'opasswd.c'; then $(CYGPATH_W) 'opasswd.c'; else $(CYGPATH_W) '$(srcdir)/opasswd.c'; fi`
  807. mostlyclean-libtool:
  808. -rm -f *.lo
  809. clean-libtool:
  810. -rm -rf .libs _libs
  811. install-man8: $(dist_man_MANS)
  812. @$(NORMAL_INSTALL)
  813. @list1=''; \
  814. list2='$(dist_man_MANS)'; \
  815. test -n "$(man8dir)" \
  816. && test -n "`echo $$list1$$list2`" \
  817. || exit 0; \
  818. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  819. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  820. { for i in $$list1; do echo "$$i"; done; \
  821. if test -n "$$list2"; then \
  822. for i in $$list2; do echo "$$i"; done \
  823. | sed -n '/\.8[a-z]*$$/p'; \
  824. fi; \
  825. } | while read p; do \
  826. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  827. echo "$$d$$p"; echo "$$p"; \
  828. done | \
  829. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  830. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  831. sed 'N;N;s,\n, ,g' | { \
  832. list=; while read file base inst; do \
  833. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  834. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  835. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  836. fi; \
  837. done; \
  838. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  839. while read files; do \
  840. test -z "$$files" || { \
  841. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  842. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  843. done; }
  844. uninstall-man8:
  845. @$(NORMAL_UNINSTALL)
  846. @list=''; test -n "$(man8dir)" || exit 0; \
  847. files=`{ for i in $$list; do echo "$$i"; done; \
  848. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  849. sed -n '/\.8[a-z]*$$/p'; \
  850. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  851. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  852. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  853. ID: $(am__tagged_files)
  854. $(am__define_uniq_tagged_files); mkid -fID $$unique
  855. tags: tags-am
  856. TAGS: tags
  857. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  858. set x; \
  859. here=`pwd`; \
  860. $(am__define_uniq_tagged_files); \
  861. shift; \
  862. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  863. test -n "$$unique" || unique=$$empty_fix; \
  864. if test $$# -gt 0; then \
  865. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  866. "$$@" $$unique; \
  867. else \
  868. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  869. $$unique; \
  870. fi; \
  871. fi
  872. ctags: ctags-am
  873. CTAGS: ctags
  874. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  875. $(am__define_uniq_tagged_files); \
  876. test -z "$(CTAGS_ARGS)$$unique" \
  877. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  878. $$unique
  879. GTAGS:
  880. here=`$(am__cd) $(top_builddir) && pwd` \
  881. && $(am__cd) $(top_srcdir) \
  882. && gtags -i $(GTAGS_ARGS) "$$here"
  883. cscopelist: cscopelist-am
  884. cscopelist-am: $(am__tagged_files)
  885. list='$(am__tagged_files)'; \
  886. case "$(srcdir)" in \
  887. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  888. *) sdir=$(subdir)/$(srcdir) ;; \
  889. esac; \
  890. for i in $$list; do \
  891. if test -f "$$i"; then \
  892. echo "$(subdir)/$$i"; \
  893. else \
  894. echo "$$sdir/$$i"; \
  895. fi; \
  896. done >> $(top_builddir)/cscope.files
  897. distclean-tags:
  898. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  899. # Recover from deleted '.trs' file; this should ensure that
  900. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  901. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  902. # to avoid problems with "make -n".
  903. .log.trs:
  904. rm -f $< $@
  905. $(MAKE) $(AM_MAKEFLAGS) $<
  906. # Leading 'am--fnord' is there to ensure the list of targets does not
  907. # expand to empty, as could happen e.g. with make check TESTS=''.
  908. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  909. am--force-recheck:
  910. @:
  911. $(TEST_SUITE_LOG): $(TEST_LOGS)
  912. @$(am__set_TESTS_bases); \
  913. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  914. redo_bases=`for i in $$bases; do \
  915. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  916. done`; \
  917. if test -n "$$redo_bases"; then \
  918. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  919. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  920. if $(am__make_dryrun); then :; else \
  921. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  922. fi; \
  923. fi; \
  924. if test -n "$$am__remaking_logs"; then \
  925. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  926. "recursion detected" >&2; \
  927. elif test -n "$$redo_logs"; then \
  928. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  929. fi; \
  930. if $(am__make_dryrun); then :; else \
  931. st=0; \
  932. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  933. for i in $$redo_bases; do \
  934. test -f $$i.trs && test -r $$i.trs \
  935. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  936. test -f $$i.log && test -r $$i.log \
  937. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  938. done; \
  939. test $$st -eq 0 || exit 1; \
  940. fi
  941. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  942. ws='[ ]'; \
  943. results=`for b in $$bases; do echo $$b.trs; done`; \
  944. test -n "$$results" || results=/dev/null; \
  945. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  946. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  947. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  948. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  949. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  950. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  951. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  952. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  953. success=true; \
  954. else \
  955. success=false; \
  956. fi; \
  957. br='==================='; br=$$br$$br$$br$$br; \
  958. result_count () \
  959. { \
  960. if test x"$$1" = x"--maybe-color"; then \
  961. maybe_colorize=yes; \
  962. elif test x"$$1" = x"--no-color"; then \
  963. maybe_colorize=no; \
  964. else \
  965. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  966. fi; \
  967. shift; \
  968. desc=$$1 count=$$2; \
  969. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  970. color_start=$$3 color_end=$$std; \
  971. else \
  972. color_start= color_end=; \
  973. fi; \
  974. echo "$${color_start}# $$desc $$count$${color_end}"; \
  975. }; \
  976. create_testsuite_report () \
  977. { \
  978. result_count $$1 "TOTAL:" $$all "$$brg"; \
  979. result_count $$1 "PASS: " $$pass "$$grn"; \
  980. result_count $$1 "SKIP: " $$skip "$$blu"; \
  981. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  982. result_count $$1 "FAIL: " $$fail "$$red"; \
  983. result_count $$1 "XPASS:" $$xpass "$$red"; \
  984. result_count $$1 "ERROR:" $$error "$$mgn"; \
  985. }; \
  986. { \
  987. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  988. $(am__rst_title); \
  989. create_testsuite_report --no-color; \
  990. echo; \
  991. echo ".. contents:: :depth: 2"; \
  992. echo; \
  993. for b in $$bases; do echo $$b; done \
  994. | $(am__create_global_log); \
  995. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  996. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  997. if $$success; then \
  998. col="$$grn"; \
  999. else \
  1000. col="$$red"; \
  1001. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  1002. fi; \
  1003. echo "$${col}$$br$${std}"; \
  1004. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  1005. echo "$${col}$$br$${std}"; \
  1006. create_testsuite_report --maybe-color; \
  1007. echo "$$col$$br$$std"; \
  1008. if $$success; then :; else \
  1009. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  1010. if test -n "$(PACKAGE_BUGREPORT)"; then \
  1011. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  1012. fi; \
  1013. echo "$$col$$br$$std"; \
  1014. fi; \
  1015. $$success || exit 1
  1016. check-TESTS: $(dist_check_SCRIPTS)
  1017. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  1018. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1019. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1020. @set +e; $(am__set_TESTS_bases); \
  1021. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1022. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1023. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1024. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1025. exit $$?;
  1026. recheck: all $(dist_check_SCRIPTS)
  1027. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1028. @set +e; $(am__set_TESTS_bases); \
  1029. bases=`for i in $$bases; do echo $$i; done \
  1030. | $(am__list_recheck_tests)` || exit 1; \
  1031. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1032. log_list=`echo $$log_list`; \
  1033. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1034. am__force_recheck=am--force-recheck \
  1035. TEST_LOGS="$$log_list"; \
  1036. exit $$?
  1037. tst-pam_pwhistory.log: tst-pam_pwhistory
  1038. @p='tst-pam_pwhistory'; \
  1039. b='tst-pam_pwhistory'; \
  1040. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1041. --log-file $$b.log --trs-file $$b.trs \
  1042. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1043. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1044. .test.log:
  1045. @p='$<'; \
  1046. $(am__set_b); \
  1047. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1048. --log-file $$b.log --trs-file $$b.trs \
  1049. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1050. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1051. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1052. @am__EXEEXT_TRUE@ @p='$<'; \
  1053. @am__EXEEXT_TRUE@ $(am__set_b); \
  1054. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1055. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  1056. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1057. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  1058. distdir: $(BUILT_SOURCES)
  1059. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1060. distdir-am: $(DISTFILES)
  1061. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1062. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1063. list='$(DISTFILES)'; \
  1064. dist_files=`for file in $$list; do echo $$file; done | \
  1065. sed -e "s|^$$srcdirstrip/||;t" \
  1066. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1067. case $$dist_files in \
  1068. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1069. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1070. sort -u` ;; \
  1071. esac; \
  1072. for file in $$dist_files; do \
  1073. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1074. if test -d $$d/$$file; then \
  1075. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1076. if test -d "$(distdir)/$$file"; then \
  1077. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1078. fi; \
  1079. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1080. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1081. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1082. fi; \
  1083. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1084. else \
  1085. test -f "$(distdir)/$$file" \
  1086. || cp -p $$d/$$file "$(distdir)/$$file" \
  1087. || exit 1; \
  1088. fi; \
  1089. done
  1090. check-am: all-am
  1091. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1092. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1093. check: check-am
  1094. all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(MANS) $(DATA) $(HEADERS)
  1095. installdirs:
  1096. for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1097. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1098. done
  1099. install: install-am
  1100. install-exec: install-exec-am
  1101. install-data: install-data-am
  1102. uninstall: uninstall-am
  1103. install-am: all-am
  1104. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1105. installcheck: installcheck-am
  1106. install-strip:
  1107. if test -z '$(STRIP)'; then \
  1108. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1109. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1110. install; \
  1111. else \
  1112. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1113. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1114. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1115. fi
  1116. mostlyclean-generic:
  1117. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1118. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1119. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1120. clean-generic:
  1121. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1122. distclean-generic:
  1123. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1124. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1125. maintainer-clean-generic:
  1126. @echo "This command is intended for maintainers to use"
  1127. @echo "it deletes files that may require special tools to rebuild."
  1128. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1129. clean: clean-am
  1130. clean-am: clean-generic clean-libtool clean-sbinPROGRAMS \
  1131. clean-securelibLTLIBRARIES mostlyclean-am
  1132. distclean: distclean-am
  1133. -rm -f ./$(DEPDIR)/pam_pwhistory_la-opasswd.Plo
  1134. -rm -f ./$(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Plo
  1135. -rm -f ./$(DEPDIR)/pwhistory_helper-opasswd.Po
  1136. -rm -f ./$(DEPDIR)/pwhistory_helper-pwhistory_helper.Po
  1137. -rm -f Makefile
  1138. distclean-am: clean-am distclean-compile distclean-generic \
  1139. distclean-tags
  1140. dvi: dvi-am
  1141. dvi-am:
  1142. html: html-am
  1143. html-am:
  1144. info: info-am
  1145. info-am:
  1146. install-data-am: install-man install-securelibLTLIBRARIES
  1147. install-dvi: install-dvi-am
  1148. install-dvi-am:
  1149. install-exec-am: install-sbinPROGRAMS
  1150. install-html: install-html-am
  1151. install-html-am:
  1152. install-info: install-info-am
  1153. install-info-am:
  1154. install-man: install-man8
  1155. install-pdf: install-pdf-am
  1156. install-pdf-am:
  1157. install-ps: install-ps-am
  1158. install-ps-am:
  1159. installcheck-am:
  1160. maintainer-clean: maintainer-clean-am
  1161. -rm -f ./$(DEPDIR)/pam_pwhistory_la-opasswd.Plo
  1162. -rm -f ./$(DEPDIR)/pam_pwhistory_la-pam_pwhistory.Plo
  1163. -rm -f ./$(DEPDIR)/pwhistory_helper-opasswd.Po
  1164. -rm -f ./$(DEPDIR)/pwhistory_helper-pwhistory_helper.Po
  1165. -rm -f Makefile
  1166. maintainer-clean-am: distclean-am maintainer-clean-generic
  1167. mostlyclean: mostlyclean-am
  1168. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1169. mostlyclean-libtool
  1170. pdf: pdf-am
  1171. pdf-am:
  1172. ps: ps-am
  1173. ps-am:
  1174. uninstall-am: uninstall-man uninstall-sbinPROGRAMS \
  1175. uninstall-securelibLTLIBRARIES
  1176. uninstall-man: uninstall-man8
  1177. .MAKE: check-am install-am install-strip
  1178. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1179. check-am clean clean-generic clean-libtool clean-sbinPROGRAMS \
  1180. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1181. distclean distclean-compile distclean-generic \
  1182. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1183. html-am info info-am install install-am install-data \
  1184. install-data-am install-dvi install-dvi-am install-exec \
  1185. install-exec-am install-html install-html-am install-info \
  1186. install-info-am install-man install-man8 install-pdf \
  1187. install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
  1188. install-securelibLTLIBRARIES install-strip installcheck \
  1189. installcheck-am installdirs maintainer-clean \
  1190. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1191. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1192. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1193. uninstall-man8 uninstall-sbinPROGRAMS \
  1194. uninstall-securelibLTLIBRARIES
  1195. .PRECIOUS: Makefile
  1196. @ENABLE_REGENERATE_MAN_TRUE@-include $(top_srcdir)/Make.xml.rules
  1197. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1198. # Otherwise a system limit (for SysV at least) may be exceeded.
  1199. .NOEXPORT: